Loading...
Searching...
No Matches
Dune::Functions::DefaultDerivativeTraits< FieldMatrix< K, 1, m >(FieldVector< K, n >)> Struct Template Reference
Functions » Function related utilities

Default implementation for derivative traits. More...

`#include <dune/functions/common/defaultderivativetraits.hh>`

Inheritance diagram for Dune::Functions::DefaultDerivativeTraits< FieldMatrix< K, 1, m >(FieldVector< K, n >)>:

## Public Types

typedef FieldMatrix< K, m, n > | Range
| Range of derivative for function with given signature.

## Detailed Description

template<typename K, int n, int m>
struct Dune::Functions::DefaultDerivativeTraits< FieldMatrix< K, 1, m >(FieldVector< K, n >)>

Default implementation for derivative traits.

Template Parameters

  K | Scalar range type

Specialization for Signature = FieldMatrix<K,1,m>(FieldVector<K,n>)

## Member Typedef Documentation

## Range

template<typename K, int n, int m>

typedef FieldMatrix<K,m,n> Dune::Functions::DefaultDerivativeTraits< FieldMatrix< K, 1, m >(FieldVector< K, n >)>::Range

Range of derivative for function with given signature.

The documentation for this struct was generated from the following file:

- defaultderivativetraits.hh